Get details for a specific NFT
Get details for a specific NFT by its contract address and token id
GET
/
api
/
v1
/
web3-data
/
collections
/
{contractAddress}
/
nfts
/
{tokenId}
Get details for a specific NFT
curl --request GET \
--url https://api.drip.re/api/v1/web3-data/collections/{contractAddress}/nfts/{tokenId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.drip.re/api/v1/web3-data/collections/{contractAddress}/nfts/{tokenId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.drip.re/api/v1/web3-data/collections/{contractAddress}/nfts/{tokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"owner": "<string>",
"name": "<string>",
"description": "<string>",
"image": "<string>",
"attributes": "<array>"
}
}{
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}Authorizations
API Key
Query Parameters
Available options:
ethereum, polygon, arbitrum, optimism, base, zksync, starknet, scroll, polygonZkEVM, arbitrumNova, avalanche, gnosis, opbnb, metis, astar, linea, mantle, berachain, flow, crossfi, soneium, worldchain, rootstock, shape, unichain, apechain, geist, lens, abstract, lumia, ink, zetachain, blast, sonic, zora, settlus, solana, bsc Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get details for a specific NFT

